Package org.apache.sling.event.impl.jobs.tasks

# Class CleanUpTask

java.lang.Object
org.apache.sling.event.impl.jobs.tasks.CleanUpTask

public class CleanUpTask extends Object
Maintenance task... In the default configuration, this task runs every minute

## Constructor Summary

Constructors
Constructor
Description
`CleanUpTask(JobManagerConfiguration config, JobSchedulerImpl jobScheduler)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
One maintenance run

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CleanUpTask

public CleanUpTask(JobManagerConfiguration config, JobSchedulerImpl jobScheduler)
Constructor

## Method Details

### run

public void run()
One maintenance run